Foxit PDF SDK

Public Member Functions | List of all members
foxit.addon.ofd.OFDDoc Class Reference
Inheritance diagram for foxit.addon.ofd.OFDDoc:

## Public Member Functions
| OFDDoc ()
| Constructor.
| OFDDoc (string path, string password)
| Constructor, from an existing OFD file path. More...
| OFDDoc (OFDDoc other)
| Constructor, with another OFD document object. More...
OFDPage | GetPage (int index)
| Get OFD page object by index. More...
int | GetPageCount ()
| Get page count of current OFD document. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
void | Release ()
| Release current OFD document object. More...

## Detailed Description

This class is used to get information of an OFD document. Please ensure common.Library.InitializeOFDEngine has been called successfully before using this class.

See also
  foxit.common.Library

## Constructor & Destructor Documentation

## ◆ OFDDoc() [1/2]

foxit.addon.ofd.OFDDoc.OFDDoc | ( | string | path,
|  | string | password
| ) |  |
| inline

Constructor, from an existing OFD file path.

Parameters

  [in] | path | A full path of an existing PDF file. It should not be an empty string.
  [in] | password | Password for the OFD file. It should be an empty string if the OFD file is not encrypted.

## ◆ OFDDoc() [2/2]

foxit.addon.ofd.OFDDoc.OFDDoc | ( | OFDDoc | other | ) |
| inline

Constructor, with another OFD document object.

Parameters

  [in] | other | Another OFD document object.

## Member Function Documentation

## ◆ GetPage()

OFDPage foxit.addon.ofd.OFDDoc.GetPage | ( | int | index | ) |
| inline

Get OFD page object by index.

Parameters

  [in] | index | Index of the page. Valid range: from 0 to (page_count-1). page_count returned by function OFDDoc.GetPageCount .

Returns
  OFD page object.

## ◆ GetPageCount()

int foxit.addon.ofd.OFDDoc.GetPageCount | ( |  | ) |
| inline

Get page count of current OFD document.

Returns
  Page count of current OFD document.

## ◆ IsEmpty()

bool foxit.addon.ofd.OFDDoc.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ Release()

void foxit.addon.ofd.OFDDoc.Release | ( |  | ) |
| inline

Release current OFD document object.

Please call this function before common.Library.ReleaseOFDEngine to release current OFD document object.

Returns
  None.